Bug 1013949 - Problematic shapes for some letters of the macedonian alphabet.
Problematic shapes for some letters of the macedonian alphabet.
Status: NEW
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
26
All All
unspecified Severity high
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 02:36 EDT by Petar
Modified: 2017-08-24 08:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:43:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shoes how the letters look like, and what they should look like. (334.68 KB, application/x-msdownload)
2013-10-01 02:36 EDT, Petar
no flags Details
Book scan showing GJE' (U+0453) and GHE' (U+0433) in italic (60.93 KB, image/png)
2013-12-03 09:54 EST, Petar
no flags Details
Magazine scan showing GJE' (U+0453) and GHE' (U+0433) in italic (78.69 KB, image/png)
2013-12-03 10:05 EST, Petar
no flags Details

  None (edit)
Description Petar 2013-10-01 02:36:47 EDT
Created attachment 805748 [details]
Shoes how the letters look like, and what they should look like.

Description of problem:
The shape of the Regular (Normal) "Cyrillic
macedonian small letter be" looks. It looks like the italic form minus the slant which is wrong!

Also the letters "macedonian cyrilic ghe" and "macedonian cyrillic gje" look inconsistent in italic form. The "macedonian cyrilic gje" should look same as "macedonian cyrilic ghe" with an added accent.

I'm attaching a pdf file that should explain the problem.
Comment 1 Pravin Satpute 2013-12-02 11:02:45 EST
So looks like there is little bit difference between Serbian and macedonian. Presently assumption is both Serbian and macedonian is same.

https://bugzilla.redhat.com/show_bug.cgi?id=657849  some attachement here can show it.

I think i need to remove some of it for macedonian.
Comment 2 Petar 2013-12-02 19:07:28 EST
Pravin Satpute I find the whole situation a bit confusing concerning the Serbian version, at least when the "b" (be) letter is concerned. Serbia and Macedonia used to be a part of a same country, Yugoslavia, and our alphabets were (and should still be) "almost" the same.

Just take a look at the wikipedia page for the Serbian cyrilic alphabet - https://sr.wikipedia.org/wiki/%D0%A1%D1%80%D0%BF%D1%81%D0%BA%D0%B0_%D1%9B%D0%B8%D1%80%D0%B8%D0%BB%D0%B8%D1%86%D0%B0, or the book scan from year 1818 on the same page - https://sr.wikipedia.org/wiki/%D0%94%D0%B0%D1%82%D0%BE%D1%82%D0%B5%D0%BA%D0%B0:Srpski_rjecnik_s.jpg, and you might come to conclusion that the regular form for their "b" (be) letter should be as the one I'm asking to be fixed in the macedonian version. The italic version, as I said is probably correct, although I fint it to be somehow too thick at the top part.

But this is the easiest part of correcting the bug I opened, since it only requires removing few rules, as long as we speak about the "be". I even managed to do this on my own using font gorge, even though I have never used it, or any other font creation software, before.

What I would really hope to see is someone more proficient with font creation fixing the "gje" shape, as it looks inceredibly inconsistent and unprofessional when used in printed documents (as of version 4.1 of LibreOffice, we can finaly froce writer to use the proper localised version of the font). The current form would be correct if it was part of a sans serif font, where italics are identical to the regular shapes, but only slanted (and aditionaly "ghe" used the same convention), while, in serif fonts, the italic forms simulate the cursive writing forms.
Comment 3 Pravin Satpute 2013-12-03 00:51:30 EST
Hi Petar,

  Yes as you said yes the fix was easy.

I did it for "be" Regular and Bold Version. See https://git.fedorahosted.org/cgit/liberation-fonts.git/commit/?h=liberation-fonts-1_07_3
  


  The second issue you mentioned is "gje" U+0453. If you can provide me correct reference from some other font i can try to improve it as well.

  This fix will be available with next release.
Comment 4 Petar 2013-12-03 09:54:48 EST
Created attachment 832139 [details]
Book scan showing GJE' (U+0453) and GHE' (U+0433) in italic

A scan showing GJE' (U+0453) and GHE' (U+0433). I'm almost certain that the font used was obtained from some firm that produces professional typefaces - it's printed in Italy. It's hard finding good example from a macedonian book, because GJE' (U+0453) does not appear very often in centences, and where it does, usually the font is normal, instead of italic (as expected).
Comment 5 Petar 2013-12-03 10:05:26 EST
Created attachment 832140 [details]
Magazine scan showing GJE' (U+0453) and GHE' (U+0433) in italic

This scan shows alternative look for GHE' (U+0433) and GJE' (U+0453) accordingly. GHE' (U+0433) here looks closer to the GHE' (U+0433) used in the bulgarian locale, but still very different from it, and GJE' (U+0453) is consistent with it shape (bulgarians don't have GJE' (U+0453)). But this would requre more extensive change which is probably not necesarry, unless we enter into discussion about which version is stylisticaly closer to the Liberartion Serif style.
Comment 6 Pravin Satpute 2013-12-04 05:37:11 EST
Thanks for references. Might be i will take some time for it. Will be good if you can open new bugs and provide these references so we can be more concentrate on particular issue.
Comment 7 Fedora End Of Life 2015-05-29 05:29:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 21:23:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jan Kurik 2016-02-24 10:30:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 10 Fedora End Of Life 2017-07-25 14:35:35 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2017-08-08 07:43:33 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.